apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: echo-server-7
  namespace: argocd
  finalizers:
  - resources-finalizer.argocd.argoproj.io
spec:
  destination:
    namespace: participant-2
    server: https://kubernetes.default.svc
  project: default
  source:
    repoURL: https://gitlab.com/mt-ag-k8s-training-course/exercise-gitlab-ci/gitops-7.git
    targetRevision: HEAD
    path: argocd/gitops-example/charts/echo-server
    helm:
     valueFiles:
        - values.yaml
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
